[centos-users 746] Re: CentOS 5.1 + java-1.6.0-sun-1.6.0.5-1jpp.nosrc.rpm

tamio wada mimke4933 @ zeus.eonet.ne.jp
2008年 5月 3日 (土) 23:21:02 JST


こんばんは、堂前様。

和田です。

お休みのところ有難う御座いました。

同じ処方だったんですね。ちょっと別の繋がりのページを見付けまして、

#(you may need to alter "%{name}-%{version}" to be the name of the
#directory your package source gets unpacked into)

と在りましたので、/usr/src/redhat/BUILD内のディレクトリー名を
%{name}-%{version}の所へ書いてやりましたら、ビルド出来ました。

インストールですが、こちらは少しエラーの様な物がでましたが、jdbc-odbcも入りました。

只、此方は、tomcat6を入れる必要があったのですが、新しいのを
入れた為にtomcat6のソースrpmからのビルドに失敗しまして、結局、古いのを
入れ直してtomcat6をビルドするという遠回りをする羽目になりました^^;

どちらにしろお互いに解決したので良かったです。

お休みの所、有難う御座いました。また何か在りましたら宜しくお願い致します。

和田



----- Original Message ----- 
Sent: Saturday, May 03, 2008 9:19 PM
Subject: [centos-users 745] Re: CentOS 5.1 + 
java-1.6.0-sun-1.6.0.5-1jpp.nosrc.rpm


> 堂前です
>
> 和田さん wrote:
>
>> 参考ページ:http://forums.fedoraforum.org/showpost.php?p=339048&postcount=3
>
> java-1.6.0-sun.spec に
>
> #%define our_find_requires %{_builddir}/%{name}-%{version}/find_requires
> を以下に書き換えて追加
> %define our_find_requires /usr/lib/rpm/find_requires
>
> 以下をprop の最後に追加しましたが 残念ながら結果は同じでした(残念)
> cat <<EOF >%{our_find_requires}
> #!/bin/sh
> echo unixODBC
> exec %{__find_requires} | /bin/egrep -v '^(libodbc(inst)?\.so)$'
> exit 0
> EOF
> chmod +x %{our_find_requires}
> %define __find_requires %{our_find_requires}
>
> 自分は jdbc-odbc は使用しないので、
> java-1.6.0-sun-jdbc-1.6.0.5-1jpp.x86_64.rpm
> はインストールしないで使っています
>
>
> _______________________________________________
> centos-users mailing list
> centos-users @ oss.poyo.jp
> http://oss.poyo.jp/mailman/listinfo/centos-users
>
>






centos-users メーリングリストの案内